Bug 1228087 (zetacomponents/unit-test) - Review Request: php-zetacomponents-unit-test - Zeta UnitTest Component
Summary: Review Request: php-zetacomponents-unit-test - Zeta UnitTest Component
Status: CLOSED ERRATA
Alias: zetacomponents/unit-test
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1228089 zetacomponents/graph 1228091
TreeView+ depends on / blocked
 
Reported: 2015-06-04 07:51 UTC by Remi Collet
Modified: 2015-07-14 16:44 UTC (History)
2 users (show)

Fixed In Version: php-zetacomponents-unit-test-1.0.2-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-22 15:35:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpcompatinfo.log (5.36 KB, text/plain)
2015-06-21 03:37 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (6.29 KB, text/plain)
2015-06-21 03:38 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2015-06-04 07:51:15 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/4f8f9ecacd353272a732682cf5e0854f615ca3e7/php/zeta/php-zetacomponents-unit-test/php-zetacomponents-unit-test.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-zetacomponents-unit-test-1.0.2-2.remi.src.rpm
Description: 
UnitTest is an internal component which extends PhpUnit to facilitate test
running and reports of the components themselves.

For this reason, there is no tutorial for this component. If you really want
to use it for some reason it's sane to expect some community support on IRC or
the mailing list.



Fedora Account System Username: remi

--
This package is only needed to build other components.

I choice to use "pear" layout to make update from php-ezc-* packages easier.

Comment 1 Shawn Iwinski 2015-06-21 03:37:53 UTC
Created attachment 1041336 [details]
phpcompatinfo.log

phpCompatInfo version 4.2.0 DB built May 22 2015 19:29:18 CEST

Comment 2 Shawn Iwinski 2015-06-21 03:38:51 UTC
Created attachment 1041337 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1228087
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Shawn Iwinski 2015-06-21 03:40:29 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL5 bits after initial import.


No blockers.


===== APPROVED =====

Comment 4 Remi Collet 2015-06-21 05:11:50 UTC
Thanks!


New Package SCM Request
=======================
Package Name: php-zetacomponents-unit-test
Short Description: Zeta UnitTest Component
Upstream URL: http://zetacomponents.org/
Owners: remi
Branches: f21 f22 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2015-06-22 14:04:13 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-06-22 15:16:33 UTC
php-zetacomponents-unit-test-1.0.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-zetacomponents-unit-test-1.0.2-2.fc22

Comment 7 Fedora Update System 2015-06-22 15:16:41 UTC
php-zetacomponents-unit-test-1.0.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-zetacomponents-unit-test-1.0.2-2.fc21

Comment 8 Fedora Update System 2015-06-22 15:17:50 UTC
php-zetacomponents-unit-test-1.0.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-zetacomponents-unit-test-1.0.2-2.el6

Comment 9 Fedora Update System 2015-06-22 15:17:56 UTC
php-zetacomponents-unit-test-1.0.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-zetacomponents-unit-test-1.0.2-2.el7

Comment 10 Fedora Update System 2015-07-03 18:37:36 UTC
php-zetacomponents-unit-test-1.0.2-2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 11 Fedora Update System 2015-07-03 18:46:52 UTC
php-zetacomponents-unit-test-1.0.2-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-07-14 16:42:01 UTC
php-zetacomponents-unit-test-1.0.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 13 Fedora Update System 2015-07-14 16:44:58 UTC
php-zetacomponents-unit-test-1.0.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.